/*******************************************************************
*
*  DESCRIPTION: Atomic Model User Interface
*
*  AUTHOR: Shafagh Jafer
*
*  EMAIL: sjafer@connect.carleton.ca
*
*
*  DATE: 8/06/2006
*
*******************************************************************/
#include "modeladm.h" 
#include "mainsimu.h"
#include "ReceiverMobile.h"        // class ReceiverMobile
#include "SenderMobile.h"        // class SenderMobile
#include "DataTransmission.h"        // class DataTransmission
#include "PairedDeviceFinder.h"        // class PairedDeviceFinder 
#include "PermissionVerifier.h"        // class PairedDeviceFinder 
void MainSimulator::registerNewAtomics()
{
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<ReceiverMobile>(), "ReceiverMobile" ) ;   
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<SenderMobile>(), "SenderMobile" ) ;   
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<DataTransmission>(), "DataTransmission" ) ;   
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<PairedDeviceFinder>(), "PairedDeviceFinder" ) ;   
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<PermissionVerifier>(), "PermissionVerifier" ) ;   
 
 
 
}